Crear una reseña de texto para un Woku
curl --request POST \
--url https://clientapi.woku.app/v1/wokus/{wokuId}/textnotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"qualification": 5,
"description": "Excellent service! The staff was very helpful.",
"responseChannel": "<string>",
"clientEmail": "jsmith@example.com",
"clientPhone": 123,
"anonymous": false
}
'import requests
url = "https://clientapi.woku.app/v1/wokus/{wokuId}/textnotes"
payload = {
"qualification": 5,
"description": "Excellent service! The staff was very helpful.",
"responseChannel": "<string>",
"clientEmail": "jsmith@example.com",
"clientPhone": 123,
"anonymous": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
qualification: 5,
description: 'Excellent service! The staff was very helpful.',
responseChannel: '<string>',
clientEmail: 'jsmith@example.com',
clientPhone: 123,
anonymous: false
})
};
fetch('https://clientapi.woku.app/v1/wokus/{wokuId}/textnotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": "<string>",
"error": "Bad Request"
}{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "External tracker not found",
"error": "Not Found"
}Wokus
Crear una reseña de texto para un Woku
Envia una reseña de texto (calificacion con estrellas + feedback de texto) para un Woku.
POST
/
v1
/
wokus
/
{wokuId}
/
textnotes
Crear una reseña de texto para un Woku
Autorizaciones
BearerAuthPublishableKey
Clave de API de la empresa. Obtenla desde tu panel de Woku en Configuracion > API Keys. La misma clave usada para los endpoints v0.
Parámetros de ruta
ObjectId de MongoDB del Woku.
Pattern:
^[0-9a-fA-F]{24}$Cuerpo
application/json
Opciones disponibles:
1, 2, 3, 4, 5 Ejemplo:
5
Maximum string length:
3000Ejemplo:
"Excellent service! The staff was very helpful."
Canal de respuesta entrante opcional. El valor por defecto es 'api'; un valor indicado aqui lo REEMPLAZA (canal definido por el usuario).
Maximum string length:
48Numero de telefono del resenante.
Respuesta
Textnote creada
⌘I